Futures Isolated
Get closed trades
GET
/futures/isolated/trades/closedPrivateGet closed trades
Permissions: futures:isolated:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.230Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.futures.isolated.getClosedTrades({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500}){ "data": [ { "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e", "type": "market", "side": "buy", "openingFee": 10, "closingFee": 10, "maintenanceMargin": 10, "quantity": 100, "margin": 1000, "leverage": 10, "price": 20000, "liquidation": 18000, "stoploss": 10, "takeprofit": 10, "stoplossTrailingDistance": 0, "exitPrice": 20150, "pl": 150, "createdAt": "2025-09-01T15:04:21.129Z", "filledAt": "2025-09-01T15:04:21.129Z", "closedAt": "2025-09-02T15:04:21.129Z", "entryPrice": 20000, "entryMargin": 1000, "open": false, "running": false, "canceled": false, "closed": true, "sumFundingFees": 23, "sumCashInPl": 0, "sumCashInMargin": 0, "clientId": "test-client-id-123" } ], "nextCursor": "2024-01-15T10:30:00.000Z"}